Topics

Errore in app module


Andrea Roveretto
 

Con l'ultima r.c. notate anche voi questo errore quando aprite firefox o thunderbird?


Andrea


ChrisLM
 

Quale errore?


Chris.

Andrea Roveretto ha scritto il 07/10/2020 alle 09:01:

Con l'ultima r.c. notate anche voi questo errore quando aprite firefox o thunderbird?


Andrea Roveretto
 

Ciao Chris

Ogni volta che apro tb o firefox nvda recita "erreore in app module thunderbird, o firefox"


ecco un pezzo di log che dovrebbe essere rilevante:

ERROR - appModuleHandler.fetchAppModule (07:49:38.161) - MainThread (7820):
error in appModule 'firefox'
Traceback (most recent call last):
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\firefox.py", line 10, in <module>
    dtk = filter(lambda a: a.name == "DeveloperToolkit", addonHandler.getRunningAddons())[0]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "appModuleHandler.pyc", line 172, in fetchAppModule
  File "importlib\__init__.pyc", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\firefox.py", line 12, in <module>
    from nvdaBuiltin.appModules.firefox import AppModule
ModuleNotFoundError: No module named 'nvdaBuiltin.appModules.firefox'
ERROR - appModuleHandler.fetchAppModule (07:50:44.013) - MainThread (7820):
error in appModule 'thunderbird'
Traceback (most recent call last):
  File "appModuleHandler.pyc", line 172, in fetchAppModule
  File "importlib\__init__.pyc", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\thunderbird.py", line 10, in <module>
    from NVDAObjects.IAccessible.mozilla import BrokenFocusedState
ImportError: cannot import name 'BrokenFocusedState' from 'NVDAObjects.IAccessible.mozilla' (C:\Program Files (x86)\NVDA\library.zip\NVDAObjects\IAccessible\mozilla.pyc)
ERROR - RPC process 9980 (nvda_slave.exe) (08:10:27.515) - Dummy-544 (7956):
__main__.main:
slave error
Traceback (most recent call last):
  File "nvda_slave.pyw", line 93, in main
  File "comHelper.pyc", line 22, in _lresultFromGetActiveObject
  File "comtypes\client\__init__.pyc", line 180, in GetActiveObject
  File "comtypes\__init__.pyc", line 1245, in GetActiveObject
  File "_ctypes/callproc.c", line 935, in GetResult

Il 07/10/2020 11:19, ChrisLM ha scritto:
Quale errore?


Chris.

Andrea Roveretto ha scritto il 07/10/2020 alle 09:01:
Con l'ultima r.c. notate anche voi questo errore quando aprite firefox o thunderbird?




Lord
 

Andrea Roveretto ha scritto il 07/10/2020 alle 11:59:
Ciao Chris
Ogni volta che apro tb o firefox nvda recita "erreore in app module thunderbird, o firefox"
Qualche addon installato in nvda? Hai provato ad aprire i programmi con gli addon di nvda disattivati e controllare se il problema c'è ancora?


Manolo
 

Ciao Andrea,

ho avuto questo problema anche io!

Devi installare l'ultima versione di Mozilla Apps Enhancements:

https://addons.nvda-project.org/files/get.php?file=moz

Salutoni!

Il 07/10/2020 11:59, Andrea Roveretto ha scritto:
Ciao Chris

Ogni volta che apro tb o firefox nvda recita "erreore in app module thunderbird, o firefox"


ecco un pezzo di log che dovrebbe essere rilevante:

ERROR - appModuleHandler.fetchAppModule (07:49:38.161) - MainThread (7820):
error in appModule 'firefox'
Traceback (most recent call last):
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\firefox.py", line 10, in <module>
    dtk = filter(lambda a: a.name == "DeveloperToolkit", addonHandler.getRunningAddons())[0]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "appModuleHandler.pyc", line 172, in fetchAppModule
  File "importlib\__init__.pyc", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\firefox.py", line 12, in <module>
    from nvdaBuiltin.appModules.firefox import AppModule
ModuleNotFoundError: No module named 'nvdaBuiltin.appModules.firefox'
ERROR - appModuleHandler.fetchAppModule (07:50:44.013) - MainThread (7820):
error in appModule 'thunderbird'
Traceback (most recent call last):
  File "appModuleHandler.pyc", line 172, in fetchAppModule
  File "importlib\__init__.pyc", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\thunderbird.py", line 10, in <module>
    from NVDAObjects.IAccessible.mozilla import BrokenFocusedState
ImportError: cannot import name 'BrokenFocusedState' from 'NVDAObjects.IAccessible.mozilla' (C:\Program Files (x86)\NVDA\library.zip\NVDAObjects\IAccessible\mozilla.pyc)
ERROR - RPC process 9980 (nvda_slave.exe) (08:10:27.515) - Dummy-544 (7956):
__main__.main:
slave error
Traceback (most recent call last):
  File "nvda_slave.pyw", line 93, in main
  File "comHelper.pyc", line 22, in _lresultFromGetActiveObject
  File "comtypes\client\__init__.pyc", line 180, in GetActiveObject
  File "comtypes\__init__.pyc", line 1245, in GetActiveObject
  File "_ctypes/callproc.c", line 935, in GetResult



Il 07/10/2020 11:19, ChrisLM ha scritto:
Quale errore?


Chris.

Andrea Roveretto ha scritto il 07/10/2020 alle 09:01:
Con l'ultima r.c. notate anche voi questo errore quando aprite firefox o thunderbird?







Andrea Roveretto
 

Grazie mille, in effetti il problema era proprio li!

Grazie anche   a Lord


Andrea

Il 07/10/2020 13:18, Manolo ha scritto:
Ciao Andrea,

ho avuto questo problema anche io!

Devi installare l'ultima versione di Mozilla Apps Enhancements:

https://addons.nvda-project.org/files/get.php?file=moz

Salutoni!


Il 07/10/2020 11:59, Andrea Roveretto ha scritto:
Ciao Chris

Ogni volta che apro tb o firefox nvda recita "erreore in app module thunderbird, o firefox"


ecco un pezzo di log che dovrebbe essere rilevante:

ERROR - appModuleHandler.fetchAppModule (07:49:38.161) - MainThread (7820):
error in appModule 'firefox'
Traceback (most recent call last):
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\firefox.py", line 10, in <module>
    dtk = filter(lambda a: a.name == "DeveloperToolkit", addonHandler.getRunningAddons())[0]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "appModuleHandler.pyc", line 172, in fetchAppModule
  File "importlib\__init__.pyc", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\firefox.py", line 12, in <module>
    from nvdaBuiltin.appModules.firefox import AppModule
ModuleNotFoundError: No module named 'nvdaBuiltin.appModules.firefox'
ERROR - appModuleHandler.fetchAppModule (07:50:44.013) - MainThread (7820):
error in appModule 'thunderbird'
Traceback (most recent call last):
  File "appModuleHandler.pyc", line 172, in fetchAppModule
  File "importlib\__init__.pyc", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\andre\AppData\Roaming\nvda\addons\Mozilla\appModules\thunderbird.py", line 10, in <module>
    from NVDAObjects.IAccessible.mozilla import BrokenFocusedState
ImportError: cannot import name 'BrokenFocusedState' from 'NVDAObjects.IAccessible.mozilla' (C:\Program Files (x86)\NVDA\library.zip\NVDAObjects\IAccessible\mozilla.pyc)
ERROR - RPC process 9980 (nvda_slave.exe) (08:10:27.515) - Dummy-544 (7956):
__main__.main:
slave error
Traceback (most recent call last):
  File "nvda_slave.pyw", line 93, in main
  File "comHelper.pyc", line 22, in _lresultFromGetActiveObject
  File "comtypes\client\__init__.pyc", line 180, in GetActiveObject
  File "comtypes\__init__.pyc", line 1245, in GetActiveObject
  File "_ctypes/callproc.c", line 935, in GetResult



Il 07/10/2020 11:19, ChrisLM ha scritto:
Quale errore?


Chris.

Andrea Roveretto ha scritto il 07/10/2020 alle 09:01:
Con l'ultima r.c. notate anche voi questo errore quando aprite firefox o thunderbird?